package com.futu.course.task;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.futu.course.kafka.Product;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@EnableScheduling
@Component
public class KafkaTask {

    @Autowired
    private KafkaTemplate kafkaTemplate;


    @Scheduled(cron = "0 * * * * *")
    public void sendMsg() throws JsonProcessingException {
        Product product = new Product();
        product.setMsgId("12333");
        product.setMsgType("类型");
        product.setContent("内容哈哈哈哈");
        ObjectMapper mapper = new ObjectMapper();
        String value = mapper.writeValueAsString(product);

        try {
            kafkaTemplate.send("dome",value);
            System.out.println("消息发送成功"+value);
        }catch (Exception e)
        {
            System.out.println("消息发送失败"+e.getMessage());
        }
    }


    @KafkaListener(topics = "dome")
    public void getMsg(String msg)
    {
        System.out.println("接收到消息"+msg);
    }
}
