package com.futu.course.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultVo<T> {
    private int code;
    private String msg;
    private T data;

    public static <T> ResultVo<T> success(String msg, T data) {
        return new ResultVo<>(200, msg, data);
    }


    public static <T> ResultVo<T> fail(int code, String msg) {
        return new ResultVo<>(code, msg, null);
    }
}
